Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1215350 - [abrt] totem: _g_log_abort(): totem killed by SIGTRAP
Summary: [abrt] totem: _g_log_abort(): totem killed by SIGTRAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clutter
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7eae70ecd75d39a81efc672ca1a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-25 17:18 UTC by Reverend Homer
Modified: 2015-07-15 17:46 UTC (History)
34 users (show)

Fixed In Version: clutter-1.22.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-10 19:12:57 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (45.34 KB, text/plain)
2015-04-25 17:18 UTC, Reverend Homer
no flags Details
File: cgroup (190 bytes, text/plain)
2015-04-25 17:19 UTC, Reverend Homer
no flags Details
File: core_backtrace (12.50 KB, text/plain)
2015-04-25 17:19 UTC, Reverend Homer
no flags Details
File: dso_list (12.49 KB, text/plain)
2015-04-25 17:19 UTC, Reverend Homer
no flags Details
File: environ (877 bytes, text/plain)
2015-04-25 17:19 UTC, Reverend Homer
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-25 17:19 UTC, Reverend Homer
no flags Details
File: maps (59.74 KB, text/plain)
2015-04-25 17:19 UTC, Reverend Homer
no flags Details
File: mountinfo (3.41 KB, text/plain)
2015-04-25 17:19 UTC, Reverend Homer
no flags Details
File: namespaces (85 bytes, text/plain)
2015-04-25 17:19 UTC, Reverend Homer
no flags Details
File: open_fds (1.26 KB, text/plain)
2015-04-25 17:19 UTC, Reverend Homer
no flags Details
File: proc_pid_status (957 bytes, text/plain)
2015-04-25 17:19 UTC, Reverend Homer
no flags Details
File: var_log_messages (624 bytes, text/plain)
2015-04-25 17:19 UTC, Reverend Homer
no flags Details
clutter package patches (11.49 KB, patch)
2015-06-24 21:10 UTC, Michael Cronenworth
no flags Details | Diff
clutter-gtk package patches (3.77 KB, patch)
2015-06-24 21:11 UTC, Michael Cronenworth
no flags Details | Diff

Description Reverend Homer 2015-04-25 17:18:48 UTC
Version-Release number of selected component:
totem-3.16.0-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/totem --gapplication-service
crash_function: _g_log_abort
executable:     /usr/bin/totem
global_pid:     15145
kernel:         4.0.0-1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:315
 #9 XInternAtoms at IntAtom.c:283
 #10 _gdk_x11_precache_atoms at gdkproperty-x11.c:239
 #11 base_precache_atoms at gdkdnd-x11.c:1541
 #12 _gdk_x11_window_register_dnd at gdkdnd-x11.c:2393
 #17 gtk_widget_realize at gtkwidget.c:5525
 #18 video_widget_create at totem-object.c:4077
 #19 totem_object_app_activate at totem-object.c:197
 #20 _g_closure_invoke_va at gclosure.c:831
 #23 g_application_activate at gapplication.c:2111

Comment 1 Reverend Homer 2015-04-25 17:18:54 UTC
Created attachment 1018822 [details]
File: backtrace

Comment 2 Reverend Homer 2015-04-25 17:19:06 UTC
Created attachment 1018823 [details]
File: cgroup

Comment 3 Reverend Homer 2015-04-25 17:19:18 UTC
Created attachment 1018824 [details]
File: core_backtrace

Comment 4 Reverend Homer 2015-04-25 17:19:20 UTC
Created attachment 1018825 [details]
File: dso_list

Comment 5 Reverend Homer 2015-04-25 17:19:25 UTC
Created attachment 1018826 [details]
File: environ

Comment 6 Reverend Homer 2015-04-25 17:19:27 UTC
Created attachment 1018827 [details]
File: limits

Comment 7 Reverend Homer 2015-04-25 17:19:31 UTC
Created attachment 1018828 [details]
File: maps

Comment 8 Reverend Homer 2015-04-25 17:19:33 UTC
Created attachment 1018829 [details]
File: mountinfo

Comment 9 Reverend Homer 2015-04-25 17:19:39 UTC
Created attachment 1018830 [details]
File: namespaces

Comment 10 Reverend Homer 2015-04-25 17:19:45 UTC
Created attachment 1018831 [details]
File: open_fds

Comment 11 Reverend Homer 2015-04-25 17:19:47 UTC
Created attachment 1018832 [details]
File: proc_pid_status

Comment 12 Reverend Homer 2015-04-25 17:19:50 UTC
Created attachment 1018833 [details]
File: var_log_messages

Comment 13 andreavig 2015-05-29 07:44:51 UTC
definitely related to: https://bugzilla.gnome.org/show_bug.cgi?id=747489

Comment 14 Matthias Clasen 2015-06-09 17:12:01 UTC
What makes you think that it is ?

Comment 15 Martin Tessun 2015-06-13 08:43:42 UTC
totem itself prints this error message when started:

(totem:5749): Gdk-ERROR **: The program 'totem' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadMatch (invalid parameter attributes)'.
  (Details: serial 399 error_code 8 request_code 153 (GLX) minor_code 31)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trace/breakpoint trap (core dumped)

Additionally this does only happen on my system with NVidia graphics (and the nvidia driver):

$ rpm -q -a \*nvidia\*
kmod-nvidia-346.72-2.fc22.1.x86_64
xorg-x11-drv-nvidia-libs-346.72-1.fc22.i686
xorg-x11-drv-nvidia-kmodsrc-346.72-1.fc22.x86_64
kmod-nvidia-4.0.4-303.fc22.x86_64-346.72-2.fc22.1.x86_64
akmod-nvidia-346.72-2.fc22.1.x86_64
nvidia-texture-tools-2.0.8-9.fc22.x86_64
kmod-nvidia-4.0.4-301.fc22.x86_64-346.72-2.fc22.1.x86_64
xorg-x11-drv-nvidia-libs-346.72-1.fc22.x86_64
xorg-x11-drv-nvidia-346.72-1.fc22.x86_64
$ 

As a workaround it works for me to just run:
$ CLUTTER_BACKEND=x11 totem

Comment 16 Martin Tessun 2015-06-13 08:51:48 UTC
After digging a bit deeper (searching for NVIDIA issues with Gnome, I found the following:

The same issue is reported for archlinux here:
  https://bugs.archlinux.org/task/44531
It is also pointing to
  https://bugzilla.gnome.org/show_bug.cgi?id=747489
finally.

Comment 17 Michael Cronenworth 2015-06-15 03:40:40 UTC
Upstream has committed the fixes for this against the 1.22 branch. Could we either get a new stable release or the patches applied in the meantime?

Comment 18 Michael Cronenworth 2015-06-24 21:10:21 UTC
Created attachment 1042830 [details]
clutter package patches

Both clutter and clutter-gtk need the upstream fixes. I've tested them and I can now view videos without passing CLUTTER_BACKEND=x11. I have sent a message to upstream requesting a new stable release.

I have attached the upstream patches (configure.ac modified for our version) to apply to clutter in Fedora.

Comment 19 Michael Cronenworth 2015-06-24 21:11:18 UTC
Created attachment 1042831 [details]
clutter-gtk package patches

I have attached the upstream patches (configure.ac modified for our version) to apply to clutter-gtk in Fedora.

clutter-gtk needs to be rebuilt against the fixed clutter - new symbol.

Comment 20 Michael Cronenworth 2015-06-30 13:15:43 UTC
Clutter 1.22.4 and Clutter-GTK 1.6.2 have been released today and they contain the fixes. May we get an update for those two?

Comment 21 Peter Robinson 2015-06-30 13:25:13 UTC
(In reply to Michael Cronenworth from comment #20)
> Clutter 1.22.4 and Clutter-GTK 1.6.2 have been released today and they
> contain the fixes. May we get an update for those two?

why don't you check koji (read: already built, you don't need to needinfo)

Comment 22 Fedora Update System 2015-06-30 16:08:11 UTC
clutter-1.22.4-1.fc22,clutter-gtk-1.6.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/clutter-1.22.4-1.fc22,clutter-gtk-1.6.2-1.fc22

Comment 23 Yajo 2015-07-02 07:27:41 UTC
I cannot update with: sudo dnf update --enablerepo=updates-testing clutter

Comment 24 Peter Robinson 2015-07-02 08:49:51 UTC
(In reply to Yajo from comment #23)
> I cannot update with: sudo dnf update --enablerepo=updates-testing clutter

Try again tomorrow, the update may have not made it to your local mirror yet

Comment 25 Fedora Update System 2015-07-02 17:06:08 UTC
Package clutter-1.22.4-1.fc22, clutter-gtk-1.6.2-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing clutter-1.22.4-1.fc22 clutter-gtk-1.6.2-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10997/clutter-1.22.4-1.fc22,clutter-gtk-1.6.2-1.fc22
then log in and leave karma (feedback).

Comment 26 Fedora Update System 2015-07-10 19:12:57 UTC
clutter-1.22.4-1.fc22, clutter-gtk-1.6.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.